import request from '@/utils/request'

// 查询发起问卷明细列表
export function listTemplateDetail(query) {
  return request({
    url: '/elder/questionnaire/templateDetail/list',
    method: 'get',
    params: query
  })
}

// 查询发起问卷明细详细
export function getTemplateDetail(templateDetailId) {
  return request({
    url: '/elder/questionnaire/templateDetail/' + templateDetailId,
    method: 'get'
  })
}

// 新增发起问卷明细
export function addTemplateDetail(data) {
  return request({
    url: '/elder/questionnaire/templateDetail',
    method: 'post',
    data: data
  })
}

// 修改发起问卷明细
export function updateTemplateDetail(data) {
  return request({
    url: '/elder/questionnaire/templateDetail',
    method: 'put',
    data: data
  })
}

// 删除发起问卷明细
export function delTemplateDetail(templateDetailId) {
  return request({
    url: '/elder/questionnaire/templateDetail/' + templateDetailId,
    method: 'delete'
  })
}
